# Aesara Code of Conduct

Like the technical community as a whole, the Aesara team and community is made
up of a mixture of professionals and volunteers from all over the world, working
on every aspect of the mission&mdash;including mentorship, teaching, and connecting
people.

Diversity is one of our strengths, but it can also entail communication
issues and misunderstandings. To that end, we have a few ground rules to which we ask
everyone to adhere.

This isn’t an exhaustive list of things that you can’t do. Rather, take it in
the spirit in which it’s intended&mdash;a guide to make it easier to enrich all of
us and the technical communities in which we participate.

This code of conduct applies to all spaces managed by the Aesara project. This
includes Gitter, mailing lists, the issue tracker, Aesara events, and any other
forums created by the project team that the community uses for communication.
In addition, violations of this code outside these spaces may affect a person's
ability to participate within them.

If you believe someone is violating the code of conduct, we ask that you report
it by emailing aesara.devs@gmail.com.

- __Be friendly and patient.__

- __Be welcoming.__ We strive to be a community that welcomes and supports people of
  all backgrounds and identities. This includes, but is not limited to members
  of any race, ethnicity, culture, national origin, colour, immigration status,
  social and economic class, educational level, sex, sexual orientation, gender
  identity and expression, age, size, family status, political belief, religion,
  and mental and physical ability.

- __Be considerate.__ Your work will be used by other people, and you in turn will
  depend on the work of others. The decisions you make can affect users and
  colleagues, so you should take the consequences into consideration. 
  Remember that we're a world-wide community, so you might not be
  communicating in someone else's primary language.

- __Be respectful.__ Not all of us will agree all the time, but disagreement is no
  excuse for poor behavior and poor manners. We might all experience some
  frustration now and then, but we cannot allow that frustration to turn into a
  personal attack. It’s important to remember that a community where people feel
  uncomfortable or threatened is not a productive one. Members of the Aesara
  community should be respectful when dealing with other members as well as with
  people outside the Aesara community.

- __Be careful in the words that you choose.__ We are a community of professionals,
  and we conduct ourselves professionally. Be kind to others. Do not insult or
  put down other participants. Harassment and other exclusionary behavior aren't
  acceptable. This includes, but is not limited to:

    - Violent threats or language directed against another person.
    - Discriminatory jokes and language (e.g. the use of racist and sexist terms).
    - Posting sexually explicit or violent material.
    - Posting (or threatening to post) other people's personally identifying
      information (e.g. "doxing").
    - Personal insults of any sort.
    - Unwelcome sexual attention.
    - Advocating for, or encouraging, any of the above behavior.
    - Repeated harassment of others. In general, if someone asks you to stop,
      then stop.

- __When we disagree, try to understand why.__ Disagreements, both social and
  technical, happen all the time and Aesara is no exception. It is important
  that we resolve disagreements and differing views constructively. Remember
  that we’re different. Aesara benefits from its varied community and
  people from a wide range of backgrounds. Different people have different
  perspectives on issues. Being unable to understand why someone holds a
  viewpoint doesn’t mean that they’re wrong. Don’t forget that it is human to
  err and blaming each other doesn’t get us anywhere. Instead, focus on helping
  to resolve issues and learning from mistakes.

Adapted from the [Django project](https://www.djangoproject.com/conduct/).
